Transaction Types
| Platform Value | Wire Value | Use Case |
|---|---|---|
'login' / .login / LOGIN | "login" | User login |
'signUp' / .signUp / SIGN_UP | "sign_up" | New account creation |
'deposit' / .deposit / DEPOSIT | "deposit" | Adding funds |
'withdrawal' / .withdrawal / WITHDRAWAL | "withdrawal" | Withdrawing funds |
The transaction type influences risk scoring. Choose the type that best describes the action the user is performing.
Set by your backend
In v0.3.0 the client SDK no longer accepts a transaction-type argument. The transaction type is set by your backend:
- Verify path - your backend includes it in the
POST /geolocation/preflightcall when minting the JWT. - Collect path - your backend includes it in the
POST /geolocation/transactions/evaluatecall when forwarding the payload.